﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Data.Objects;
using System.Data.Objects.DataClasses;
using System.Data.EntityClient;
using System.ComponentModel;
using System.Xml.Serialization;
using System.Runtime.Serialization;

[assembly: EdmSchemaAttribute()]

namespace MofoBot
{
    #region Contexts
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    public partial class DB : ObjectContext
    {
        #region Constructors
    
        /// <summary>
        /// Initializes a new DB object using the connection string found in the 'DB' section of the application configuration file.
        /// </summary>
        public DB() : base("name=DB", "DB")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new DB object.
        /// </summary>
        public DB(string connectionString) : base(connectionString, "DB")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new DB object.
        /// </summary>
        public DB(EntityConnection connection) : base(connection, "DB")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        #endregion
    
        #region Partial Methods
    
        partial void OnContextCreated();
    
        #endregion
    
        #region ObjectSet Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Message> Messages
        {
            get
            {
                if ((_Messages == null))
                {
                    _Messages = base.CreateObjectSet<Message>("Messages");
                }
                return _Messages;
            }
        }
        private ObjectSet<Message> _Messages;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Nickname> Nicknames
        {
            get
            {
                if ((_Nicknames == null))
                {
                    _Nicknames = base.CreateObjectSet<Nickname>("Nicknames");
                }
                return _Nicknames;
            }
        }
        private ObjectSet<Nickname> _Nicknames;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Profile> Profiles
        {
            get
            {
                if ((_Profiles == null))
                {
                    _Profiles = base.CreateObjectSet<Profile>("Profiles");
                }
                return _Profiles;
            }
        }
        private ObjectSet<Profile> _Profiles;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Pvmessage> Pvmessages
        {
            get
            {
                if ((_Pvmessages == null))
                {
                    _Pvmessages = base.CreateObjectSet<Pvmessage>("Pvmessages");
                }
                return _Pvmessages;
            }
        }
        private ObjectSet<Pvmessage> _Pvmessages;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Scannedmail> Scannedmails
        {
            get
            {
                if ((_Scannedmails == null))
                {
                    _Scannedmails = base.CreateObjectSet<Scannedmail>("Scannedmails");
                }
                return _Scannedmails;
            }
        }
        private ObjectSet<Scannedmail> _Scannedmails;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Session> Sessions
        {
            get
            {
                if ((_Sessions == null))
                {
                    _Sessions = base.CreateObjectSet<Session>("Sessions");
                }
                return _Sessions;
            }
        }
        private ObjectSet<Session> _Sessions;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<Setting> Settings
        {
            get
            {
                if ((_Settings == null))
                {
                    _Settings = base.CreateObjectSet<Setting>("Settings");
                }
                return _Settings;
            }
        }
        private ObjectSet<Setting> _Settings;

        #endregion
        #region AddTo Methods
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Messages EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToMessages(Message message)
        {
            base.AddObject("Messages", message);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Nicknames EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToNicknames(Nickname nickname)
        {
            base.AddObject("Nicknames", nickname);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Profiles EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToProfiles(Profile profile)
        {
            base.AddObject("Profiles", profile);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Pvmessages EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToPvmessages(Pvmessage pvmessage)
        {
            base.AddObject("Pvmessages", pvmessage);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Scannedmails EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToScannedmails(Scannedmail scannedmail)
        {
            base.AddObject("Scannedmails", scannedmail);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Sessions EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToSessions(Session session)
        {
            base.AddObject("Sessions", session);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the Settings EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToSettings(Setting setting)
        {
            base.AddObject("Settings", setting);
        }

        #endregion
    }
    

    #endregion
    
    #region Entities
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Message")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Message : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Message object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="text">Initial value of the text property.</param>
        /// <param name="session_id">Initial value of the session_id property.</param>
        public static Message CreateMessage(global::System.Int32 id, global::System.String text, global::System.Int32 session_id)
        {
            Message message = new Message();
            message.id = id;
            message.text = text;
            message.session_id = session_id;
            return message;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String text
        {
            get
            {
                return _text;
            }
            set
            {
                OntextChanging(value);
                ReportPropertyChanging("text");
                _text = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("text");
                OntextChanged();
            }
        }
        private global::System.String _text;
        partial void OntextChanging(global::System.String value);
        partial void OntextChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 session_id
        {
            get
            {
                return _session_id;
            }
            set
            {
                Onsession_idChanging(value);
                ReportPropertyChanging("session_id");
                _session_id = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("session_id");
                Onsession_idChanged();
            }
        }
        private global::System.Int32 _session_id;
        partial void Onsession_idChanging(global::System.Int32 value);
        partial void Onsession_idChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Nickname")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Nickname : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Nickname object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="value">Initial value of the value property.</param>
        public static Nickname CreateNickname(global::System.Int32 id, global::System.String value)
        {
            Nickname nickname = new Nickname();
            nickname.id = id;
            nickname.value = value;
            return nickname;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String value
        {
            get
            {
                return _value;
            }
            set
            {
                OnvalueChanging(value);
                ReportPropertyChanging("value");
                _value = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("value");
                OnvalueChanged();
            }
        }
        private global::System.String _value;
        partial void OnvalueChanging(global::System.String value);
        partial void OnvalueChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Profile")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Profile : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Profile object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="name">Initial value of the name property.</param>
        /// <param name="deletable">Initial value of the deletable property.</param>
        /// <param name="base">Initial value of the Base property.</param>
        public static Profile CreateProfile(global::System.Int32 id, global::System.String name, global::System.Decimal deletable, global::System.String @base)
        {
            Profile profile = new Profile();
            profile.id = id;
            profile.name = name;
            profile.deletable = deletable;
            profile.Base = @base;
            return profile;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String name
        {
            get
            {
                return _name;
            }
            set
            {
                OnnameChanging(value);
                ReportPropertyChanging("name");
                _name = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("name");
                OnnameChanged();
            }
        }
        private global::System.String _name;
        partial void OnnameChanging(global::System.String value);
        partial void OnnameChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Decimal deletable
        {
            get
            {
                return _deletable;
            }
            set
            {
                OndeletableChanging(value);
                ReportPropertyChanging("deletable");
                _deletable = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("deletable");
                OndeletableChanged();
            }
        }
        private global::System.Decimal _deletable;
        partial void OndeletableChanging(global::System.Decimal value);
        partial void OndeletableChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String Base
        {
            get
            {
                return _Base;
            }
            set
            {
                OnBaseChanging(value);
                ReportPropertyChanging("Base");
                _Base = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("Base");
                OnBaseChanged();
            }
        }
        private global::System.String _Base;
        partial void OnBaseChanging(global::System.String value);
        partial void OnBaseChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Pvmessage")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Pvmessage : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Pvmessage object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="text">Initial value of the text property.</param>
        /// <param name="session_id">Initial value of the session_id property.</param>
        public static Pvmessage CreatePvmessage(global::System.Int32 id, global::System.String text, global::System.Int32 session_id)
        {
            Pvmessage pvmessage = new Pvmessage();
            pvmessage.id = id;
            pvmessage.text = text;
            pvmessage.session_id = session_id;
            return pvmessage;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String text
        {
            get
            {
                return _text;
            }
            set
            {
                OntextChanging(value);
                ReportPropertyChanging("text");
                _text = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("text");
                OntextChanged();
            }
        }
        private global::System.String _text;
        partial void OntextChanging(global::System.String value);
        partial void OntextChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 session_id
        {
            get
            {
                return _session_id;
            }
            set
            {
                Onsession_idChanging(value);
                ReportPropertyChanging("session_id");
                _session_id = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("session_id");
                Onsession_idChanged();
            }
        }
        private global::System.Int32 _session_id;
        partial void Onsession_idChanging(global::System.Int32 value);
        partial void Onsession_idChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Scannedmail")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Scannedmail : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Scannedmail object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="email">Initial value of the email property.</param>
        /// <param name="sala">Initial value of the sala property.</param>
        public static Scannedmail CreateScannedmail(global::System.Int32 id, global::System.String email, global::System.String sala)
        {
            Scannedmail scannedmail = new Scannedmail();
            scannedmail.id = id;
            scannedmail.email = email;
            scannedmail.sala = sala;
            return scannedmail;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String email
        {
            get
            {
                return _email;
            }
            set
            {
                OnemailChanging(value);
                ReportPropertyChanging("email");
                _email = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("email");
                OnemailChanged();
            }
        }
        private global::System.String _email;
        partial void OnemailChanging(global::System.String value);
        partial void OnemailChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String sala
        {
            get
            {
                return _sala;
            }
            set
            {
                OnsalaChanging(value);
                ReportPropertyChanging("sala");
                _sala = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("sala");
                OnsalaChanged();
            }
        }
        private global::System.String _sala;
        partial void OnsalaChanging(global::System.String value);
        partial void OnsalaChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Session")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Session : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Session object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="name">Initial value of the name property.</param>
        public static Session CreateSession(global::System.Int32 id, global::System.String name)
        {
            Session session = new Session();
            session.id = id;
            session.name = name;
            return session;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String name
        {
            get
            {
                return _name;
            }
            set
            {
                OnnameChanging(value);
                ReportPropertyChanging("name");
                _name = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("name");
                OnnameChanged();
            }
        }
        private global::System.String _name;
        partial void OnnameChanging(global::System.String value);
        partial void OnnameChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String url
        {
            get
            {
                return _url;
            }
            set
            {
                OnurlChanging(value);
                ReportPropertyChanging("url");
                _url = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("url");
                OnurlChanged();
            }
        }
        private global::System.String _url;
        partial void OnurlChanging(global::System.String value);
        partial void OnurlChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String nickname
        {
            get
            {
                return _nickname;
            }
            set
            {
                OnnicknameChanging(value);
                ReportPropertyChanging("nickname");
                _nickname = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("nickname");
                OnnicknameChanged();
            }
        }
        private global::System.String _nickname;
        partial void OnnicknameChanging(global::System.String value);
        partial void OnnicknameChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String color
        {
            get
            {
                return _color;
            }
            set
            {
                OncolorChanging(value);
                ReportPropertyChanging("color");
                _color = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("color");
                OncolorChanged();
            }
        }
        private global::System.String _color;
        partial void OncolorChanging(global::System.String value);
        partial void OncolorChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Int32> profile_id
        {
            get
            {
                return _profile_id;
            }
            set
            {
                Onprofile_idChanging(value);
                ReportPropertyChanging("profile_id");
                _profile_id = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("profile_id");
                Onprofile_idChanged();
            }
        }
        private Nullable<global::System.Int32> _profile_id;
        partial void Onprofile_idChanging(Nullable<global::System.Int32> value);
        partial void Onprofile_idChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Int32> autostart
        {
            get
            {
                return _autostart;
            }
            set
            {
                OnautostartChanging(value);
                ReportPropertyChanging("autostart");
                _autostart = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("autostart");
                OnautostartChanged();
            }
        }
        private Nullable<global::System.Int32> _autostart;
        partial void OnautostartChanging(Nullable<global::System.Int32> value);
        partial void OnautostartChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String method
        {
            get
            {
                return _method;
            }
            set
            {
                OnmethodChanging(value);
                ReportPropertyChanging("method");
                _method = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("method");
                OnmethodChanged();
            }
        }
        private global::System.String _method;
        partial void OnmethodChanging(global::System.String value);
        partial void OnmethodChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Int32> sendinterval
        {
            get
            {
                return _sendinterval;
            }
            set
            {
                OnsendintervalChanging(value);
                ReportPropertyChanging("sendinterval");
                _sendinterval = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("sendinterval");
                OnsendintervalChanged();
            }
        }
        private Nullable<global::System.Int32> _sendinterval;
        partial void OnsendintervalChanging(Nullable<global::System.Int32> value);
        partial void OnsendintervalChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Int32> sendallinterval
        {
            get
            {
                return _sendallinterval;
            }
            set
            {
                OnsendallintervalChanging(value);
                ReportPropertyChanging("sendallinterval");
                _sendallinterval = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("sendallinterval");
                OnsendallintervalChanged();
            }
        }
        private Nullable<global::System.Int32> _sendallinterval;
        partial void OnsendallintervalChanging(Nullable<global::System.Int32> value);
        partial void OnsendallintervalChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String @base
        {
            get
            {
                return _base;
            }
            set
            {
                OnbaseChanging(value);
                ReportPropertyChanging("base");
                _base = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("base");
                OnbaseChanged();
            }
        }
        private global::System.String _base;
        partial void OnbaseChanging(global::System.String value);
        partial void OnbaseChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String messages
        {
            get
            {
                return _messages;
            }
            set
            {
                OnmessagesChanging(value);
                ReportPropertyChanging("messages");
                _messages = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("messages");
                OnmessagesChanged();
            }
        }
        private global::System.String _messages;
        partial void OnmessagesChanging(global::System.String value);
        partial void OnmessagesChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String pvmessages
        {
            get
            {
                return _pvmessages;
            }
            set
            {
                OnpvmessagesChanging(value);
                ReportPropertyChanging("pvmessages");
                _pvmessages = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("pvmessages");
                OnpvmessagesChanged();
            }
        }
        private global::System.String _pvmessages;
        partial void OnpvmessagesChanging(global::System.String value);
        partial void OnpvmessagesChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="settingsModel", Name="Setting")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class Setting : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new Setting object.
        /// </summary>
        /// <param name="id">Initial value of the id property.</param>
        /// <param name="value">Initial value of the value property.</param>
        /// <param name="key">Initial value of the key property.</param>
        public static Setting CreateSetting(global::System.Int32 id, global::System.String value, global::System.String key)
        {
            Setting setting = new Setting();
            setting.id = id;
            setting.value = value;
            setting.key = key;
            return setting;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    OnidChanging(value);
                    ReportPropertyChanging("id");
                    _id = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("id");
                    OnidChanged();
                }
            }
        }
        private global::System.Int32 _id;
        partial void OnidChanging(global::System.Int32 value);
        partial void OnidChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String value
        {
            get
            {
                return _value;
            }
            set
            {
                OnvalueChanging(value);
                ReportPropertyChanging("value");
                _value = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("value");
                OnvalueChanged();
            }
        }
        private global::System.String _value;
        partial void OnvalueChanging(global::System.String value);
        partial void OnvalueChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String key
        {
            get
            {
                return _key;
            }
            set
            {
                OnkeyChanging(value);
                ReportPropertyChanging("key");
                _key = StructuralObject.SetValidValue(value, false);
                ReportPropertyChanged("key");
                OnkeyChanged();
            }
        }
        private global::System.String _key;
        partial void OnkeyChanging(global::System.String value);
        partial void OnkeyChanged();

        #endregion
    
    }

    #endregion
    
}
